[ATI] [RV515] Unity keeps reloading with a white background

Bug #616997 reported by Vish on 2010-08-12
96
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Jay Taoko
Nominated for Trunk by Ben Isaacs
dee
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
unity (Ubuntu)
Low
Unassigned
Natty
Low
Unassigned

Bug Description

Binary package hint: unity

The symptoms are similar to Bug #578585.

However, deleting ~/.config/gnome-session/saved-session has no effect and hence not systray/gnome-panel clash related.

Trying netbook release/unity using a live cd also gives the same problem, [keeps reloading with white page].
Tried to run ubuntu-bug while the reloading occurred but could not, as the terminal would loose focus

Had to exit from the session and login via an Ubuntu desktop session to file this bug.

Attaching the traces from :
$ mutter --mutter-plugins=/usr/lib/mutter/plugins/libunity-mutter.so.0 --replace

Able to run mutter [$ mutter --replace]
but Unity keeps crashing.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: unity 0.2.24-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-14.20-generic 2.6.35
Uname: Linux 2.6.35-14-generic i686
Architecture: i386
Date: Thu Aug 12 19:09:21 2010
LiveMediaBuild: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Alpha i386 (20100812)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: unity
---
Architecture: i386
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x800 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
 edid-base64: AP///////wBEk0EAAAAAAAAPAQOAIRV4Ck3Ak1xRiCchUFQAAAABAQEBAQEBAQEBAQEBAQEB6hoAgFAgEDAVIEQAS88QAAAYAAAADwAIACoAAQAEADJKBBkBAAAA/gBRVUFOVEFESVNQTEFZAAAA/gBRRDE1VEwwNzIKICAgAIk=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DistroRelease: Ubuntu 10.10
LiveMediaBuild: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Alpha i386 (20100817)
MachineType: Acer, inc. Aspire 5670
Package: xserver-xorg-video-ati 1:6.13.1-1ubuntu2
PackageArchitecture: i386
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/hostname-netbook.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-15.21-generic 2.6.35.1
Tags: maverick ubuntu-une maverick
Uname: Linux 2.6.35-15-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 01/12/07
dmi.bios.vendor: Acer
dmi.bios.version: v1.3239
dmi.board.name: Bodensee
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: Acer, Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrv1.3239:bd01/12/07:svnAcer,inc.:pnAspire5670:pvrNotApplicable:rvnAcer,Inc.:rnBodensee:rvrNotApplicable:cvnAcer,Inc.:ct1:cvrN/A:
dmi.product.name: Aspire 5670
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.
system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-15-generic

Vish (vish) wrote :
Vish (vish) on 2010-08-13
Changed in unity (Ubuntu):
importance: Undecided → Medium
Vish (vish) wrote :

Running gdb from a daily gives no stacks ! :s

Vish (vish) wrote :

Updated to edgers ppa and Mesa 7.8.2, gives a backtrace.

Vish (vish) wrote :

Updating to edgers ppa causes mutter to not work either. Mutter just hangs.

description: updated
Vish (vish) on 2010-08-17
Changed in mesa (Ubuntu):
status: New → Incomplete
Vish (vish) wrote : BootDmesg.txt

apport information

tags: added: apport-collected
description: updated
Vish (vish) wrote : CurrentDmesg.txt

apport information

apport information

apport information

Vish (vish) wrote : Dependencies.txt

apport information

Vish (vish) wrote : GdmLog.txt

apport information

Vish (vish) wrote : GdmLog1.txt

apport information

Vish (vish) wrote : GdmLog2.txt

apport information

Vish (vish) wrote : Lspci.txt

apport information

Vish (vish) wrote : Lsusb.txt

apport information

Vish (vish) wrote : PciDisplay.txt

apport information

Vish (vish) wrote : ProcCpuinfo.txt

apport information

apport information

Vish (vish) wrote : ProcModules.txt

apport information

apport information

Vish (vish) wrote : UdevDb.txt

apport information

Vish (vish) wrote : UdevLog.txt

apport information

Vish (vish) wrote : XorgLog.txt

apport information

Vish (vish) wrote : XorgLogOld.txt

apport information

Vish (vish) wrote : Xrandr.txt

apport information

Vish (vish) wrote : glxinfo.txt

apport information

Vish (vish) wrote : peripherals.txt

apport information

Vish (vish) wrote : setxkbmap.txt

apport information

Vish (vish) wrote : xdpyinfo.txt

apport information

Vish (vish) wrote : xkbcomp.txt

apport information

summary: - Unity keeps reloading with a white background
+ [RV515] Unity keeps reloading with a white background
Changed in mesa (Ubuntu):
status: Incomplete → New

Attaching gdb from today's daily, as i could get some stack traces from the latest builds and also a valgrind.

Vish (vish) wrote :
description: updated
Neil J. Patel (njpatel) on 2010-08-17
Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Robert Hooker (sarvatt) wrote :

This can be reproduced on non <=R500 generation ati by invoking unity with this to remove the GL_ARB_texture_non_power_of_two extension

MESA_EXTENSION_OVERRIDE=-GL_ARB_texture_non_power_of_two unity

Bryce Harrington (bryce) on 2010-08-18
Changed in mesa (Ubuntu):
status: New → Confirmed

I am sorry to ask a question that'll be laborious to answer, but I simply can't reproduce it here... Is it always segfaulting in libdee, and is it always the same place?

Looking at the stack trace it looks like libdee receives garbage data in a callback from libdbus-glib. It's not that dbus-glib is bug free, but it's quite unlikely that the bug is there... This leads me to suspect that maybe some other lib (or the graphics driver) is messing up the stack or the heap. However it would be odd if that always triggered in exactly the same way, hence my question :-)

Vish (vish) wrote :

If i login into a unity session, all I get is, unity constantly reloading.
So I login using the desktop session and then run the gdb.

There is a pattern here,
First time i run gdb, the gdb is always empty with no stack.. [gdb-unity1.txt]
Second time onwards [without logging out], if i re-try a gdb it seems to always segfault in libdee [gdb-unity2/3/4.txt]

The first time it crashes, I can see the terminal and windows without a wm, but I cannot type using the keyboard, [no wm ,hence focus issue?]
I copy-paste the commands to quit the gdb and to reload metacity/mutter [metacity --replace or mutter --replace]

The second time onwards when it crashes, I cannot see the terminal but can only see the background wallpaper. But i can type the commands [i'm typing commands blindly ;p] and can exit gdb, to restart a wm.

Attaching the gdb's

Vish (vish) wrote :
Vish (vish) wrote :
Vish (vish) wrote :
Neil J. Patel (njpatel) wrote :

Could you please try adding UNITY_PANEL_INDICATORS_SKIP="all" to /etc/environment and restart and login to unity session. I want to see if the issue still happens if there are no indicators.

Also, please update to very latest maverick (as of today) with unity 0.2.28 and the latest Xorg.

This is *not* a fix, but I need some help nailing this one. So if any one that can reproduce this could check this for me:

 1) bzr branch lp:~unity-team/dee/import-model-crash dee.import-model-crash
 2) cd dee.import-model-crash && ./autogen --prefix=/usr && make check

Changed in unity:
milestone: none → 2010-08-26

Sorry, I just realized that in order to run the test suite you also need to install lp:dbus-test-runner and lp:gtx both with --prefix=/usr

Markus Korn (thekorn) wrote :

Result of make check: http://paste.ubuntu.com/480965/

Markus Korn (thekorn) wrote :

@kamstrup: retraced crash after installing your branch and running u-netbook

Thanks Markus!

Markus' mutter.crash.retraced dump indicates what I suspected. The callback we get from dbus-glib passes in invalid data to clone_callback() function's 4th argument (GPtrArray rows) (dee-shared-model.c line 1055 in the attached branch).

This probably means that there is a double free or something in dbus-glib. Further investigation is needed.

Vish, Markus: What version of dbus-glib do you have - and which Ubuntu version? From Vish's dump it looks like you only have 0.86?

Markus Korn (thekorn) wrote :

markus@markus-laptop:/tmp$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu maverick (development branch)
Release: 10.10
Codename: maverick
markus@markus-laptop:/tmp$ apt-cache policy libdbus-glib-1-2
libdbus-glib-1-2:
  Installed: 0.88-2
  Candidate: 0.88-2
  Version table:
 *** 0.88-2 0
        500 http://de.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status
markus@markus-laptop:/tmp$ uname -a
Linux markus-laptop 2.6.35-15-generic #21-Ubuntu SMP Wed Aug 11 16:41:40 UTC 2010 i686 GNU/Linux
markus@markus-laptop:/tmp$

Vish (vish) wrote :

I'm trying to debug from a live iso and Oddly , I'm not able to install the lp:dbus-test-runner and lp:gtx due to missing deps.
I'm not able to find :
Package requirements glib-2.0 >= 2.20 or glib-gettext >= 2.2.0 .

Vish: That's odd... These devel packages should definitely be available in the repos. I don't have an explanation off the top of my head...

Markus:Ok, that sounds like an up-to-date Maverick installation. Is there anything non-standard in the way you run it? Like from a usb-stick, in a virtual machine of some sort, or something other than plain on-disk installation?

Markus Korn (thekorn) wrote :

Mikkel, it is a standard plain on-disk installation on my asus (eeepc 1000H) netbook. I've run `apt-get upgrade` a couple of times since the first installation mid last week. I've also installed a few -dev and -dbgsym packages, but that's it.

Feel free to ping me if you like me to do a reinstallation of some fresh dailies.

Markus, if you log in at the console (ctrl-alt-F1) and examine
.xsession-errors with something like less, do you see any hint of the
window manager crashing? Clutter or mutter or unity error messages might
be relevant.

Mark

Attaching the xsession-errors from when unity keeps re-loading

Markus Korn (thekorn) wrote :

This is my .xsessions-errors

clicking on the "applications"-button is around line 148
lines 128-147 is moving the cursor over the unity bar (unfolding the icons)

Vish (vish) wrote :

Finally figured out the deps[thanks to Markus]

@Mikkel , Result of make check : http://paste.ubuntu.com/482833/

In case someone else gets as stuck as me!
If they are trying from a new install or from a live cd, Deps that are needed are(atleast the ones i had to install ! ) :
gnome-common , gtk-doc-tools , libglib2.0-dev , libdbus-glib-1-dev , libdbus-1-dev , [and bzr of course!]

1) bzr branch lp:dbus-test-runner
2) cd dbus-test-runner && ./autogen.sh --prefix=/usr && sudo make install
 cd ..
3) bzr branch lp:gtx
4) cd gtx && ./autogen.sh --prefix=/usr && sudo make install
 cd ..
5) bzr branch lp:~unity-team/dee/import-model-crash dee.import-model-crash
6) cd dee.import-model-crash && ./autogen --prefix=/usr && make check

Vish: Cool you followed through on this - thanks! Your test output indicates that all the tests are happy. Which is good of course, but deepens the mystery...

Markus: Thanks for the xsession-error log!

Looking in both of your xession-error logs I see a:

  (mutter:1347): libunity-private-CRITICAL **: file places/places-place-entry.c: line 785: uncaught error: Message did not receive a reply (timeout by message bus) (dbus-glib-error-quark, 4)

In Markus' file this is line 151 - right after the place is triggered. The same line appears in Vish's error log. This is a bit suspicious... If we let the question of why this timeout rest for now (as that's a problem in another process), I am thinking that it may have some side effects triggering some bug in dbus-lib or libunity-private, that again cause libdee to receive corrupted data in import_model(). This is pure speculation of course.

In the code you are running now Unity dispatches a synchronous dbus call to activate the place - this call times out for some reason (which means that the place is to slow to respond, which is another bug in itself). Since sync dbus calls are the root of all evil we are on a quest to replace all of them with async ones. In the updates slated for this Thursday (packages prolly available Friday) most of the sync calls should be removed - which *may* mean that this bug resolves itself...

So if you are really impatient you can compile Unity trunk yourselves (warning: this is not easy), or you can hold on and see if the Friday updates magically fixes this. If not, we'll get back onto it!

Markus Korn (thekorn) wrote :

I just got a bunch of updates, and as far as I can tell one of the updates seem to fix this issue for me, clicking on the "applications" icon no longer results in an endless restarting loop.

markus@markus-laptop:~$ apt-cache policy unity
unity:
  Installed: 0.2.28-0ubuntu3
  Candidate: 0.2.28-0ubuntu3
  Version table:
 *** 0.2.28-0ubuntu3 0
        500 http://de.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

Also, my .xsession-errors no longer contains dbus timeout messages.

(Just for reference here's the batch of updates Markus got: http://paste.ubuntu.com/483828/)

Vish: Can you confirm that the latest round of updates work? (run 'apt-cache policy unity' as Markus above and check you have at least 0.2.28-0ubuntu3 or a newer version of Unity)

Vish (vish) wrote :

Nope, not fixed for me here.
~$ apt-cache policy unity
unity:
  Installed: 0.2.28-0ubuntu3
  Candidate: 0.2.28-0ubuntu3
  Version table:
 *** 0.2.28-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

Attaching my .xsession-errors of the day ;-)

Robert Hooker (sarvatt) wrote :

Vish, can you please try the mesa in this PPA?

https://launchpad.net/~sarvatt/+archive/mesa

nobullszit.pl (tryreplyhere) wrote :

Robert Hooker, that didn`t help me :(

UNITY_PANEL_INDICATORS_SKIP="all" unity -p
libunity-private-Message: panel-indicator-model.vala:88: Skipping all indicator loading

(unity:8923): Clutk-WARNING **: [CheckGLError] GL_INVALID_VALUE error in File ./ctk-render-target.c at line: 286

(unity:8923): Clutk-WARNING **: [CheckGLError] OpenGL Error 1281 in File ./ctk-render-target.c at line: 286

some info:
VGA compatible controller [0300]: ATI Technologies Inc RC410 [Radeon Xpress 200M] [1002:5a62]
server glx vendor string: SGI
client glx vendor string: Mesa Project and SGI
OpenGL vendor string: DRI R300 Project
direct rendering: Yes
Linux nobullszit 2.6.35-19-generic #26-Ubuntu SMP Thu Aug 26 19:13:04 UTC 2010 x86_64 GNU/Linux

nobullszit.pl (tryreplyhere) wrote :

not fixed but..... look at screenshot

http://paste.ubuntu.com/484842/

OpenGL vendor string: X.Org R300 Project
OpenGL renderer string: Gallium 0.4 on RC410
OpenGL version string: 2.1 Mesa 7.9-devel
OpenGL shading language version string: 1.20

Vish (vish) wrote :

Sarvatt's ppa dint help either, all i get is a blank white screen.
And unity does /not/ keep reloading , xsession-errors > http://paste.ubuntu.com/484542/

Tried with CLUTTER_VBLANK=none too , dint help: http://paste.ubuntu.com/485350/

Also, with mesa 7.9 from the ppa mutter doesnt work either! While mutter works with the stock mesa from maverick.

nobullszit.pl (tryreplyhere) wrote :

jeeppp, works fine but....
with mesa 7.9 from the ppa &
CLUTTER_VBLANK=none unity -p

Vish (vish) wrote :

Since i started getting affected by Bug #626743 due to xserver-xorg-video-ati updates , i downgraded those and retried Sarvatt's ppa.

With mesa 7.9 Unity does not load, but i rather get a white page and nothing else.
If i run $ metacity --replace it does not work either

But if i run $ CLUTTER_VBLANK=none mutter --replace
  I'm able to use mutter [mesa 7.9 ].

While $ CLUTTER_VBLANK=none unity
 still does not load unity and i get the same previous error http://paste.ubuntu.com/485877/

David Barth (dbarth) wrote :

Related to the disable-effects flag requirement

Changed in unity:
milestone: 2010-08-26 → 2010-09-09
assignee: Mikkel Kamstrup Erlandsen (kamstrup) → Jay Taoko (jaytaoko)
milestone: 2010-09-09 → 2010-08-26
importance: Undecided → Medium
Changed in dee:
status: New → Invalid
Changed in unity (Ubuntu):
importance: Medium → Low
milestone: none → ubuntu-10.10
status: New → Triaged
Neil J. Patel (njpatel) on 2010-09-05
Changed in unity:
milestone: 2010-08-26 → 2010-09-09
David Barth (dbarth) on 2010-09-10
Changed in unity:
milestone: 2010-09-09 → 2010-09-16
Vish (vish) wrote :

Now that the mesa 7.9 has landed, today's errors ;-)

xsession-errors: http://paste.ubuntu.com/494300/

~$ CLUTTER_VBLANK=none mutter --replace --mutter-plugins=libunity-mutter
http://paste.ubuntu.com/494303/

From a vt:
$ DISPLAY=:0 CLUTTER_VBLANK=none mutter --replace --mutter-plugins=libunity-mutter 2>&1 | tee unity.log
http://paste.ubuntu.com/494310/

~$ apt-cache policy libglu1-mesa
libglu1-mesa:
  Installed: 7.9~git20100909-0ubuntu1
  Candidate: 7.9~git20100909-0ubuntu1
  Version table:
 *** 7.9~git20100909-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

mutter --replace does not work either, but
CLUTTER_VBLANK=none mutter --replace works

Bryce Harrington (bryce) wrote :

Vish, hmm there's a lot of error messages in those logs but looking through them I'm not seeing an actual X.org error message popping out. You may be more familiar with unity's standard error message output than I - what error message is anomalous that should be looked at from an X perspective?

Bryce Harrington (bryce) wrote :

If there isn't an error message to look at, then the only way you can analyze this problem really is via git bisection.

Determine the most recent version of mesa that works for you, and the oldest version that fails, and then do a bisection search between them to find what patch causes the breakage.

Neil J. Patel (njpatel) on 2010-09-16
Changed in unity:
milestone: 2010-09-16 → 2010-09-22
Neil J. Patel (njpatel) wrote :

Hi, now that we've had the mesa release stabilize and the issue with Clutter fixed, could you please try again with todays updates and state here the issues your experiencing (and things have changed a lot, just getting an idea of where we're at now will help).

Vish (vish) wrote :

Now , yay! back to a reloading unity as i reported initially! ;-)

Looks like either the mesa update fixed the constant white screen or maybe it was the clutter update.

"mutter --replace" just works fine works and no need to use CLUTTER_VBLANK=none mutter --replace .

Its only unity that is broken now [again]. seems like the disable-effects flag requirement is the one that remains as mentioned in comment #64 and what neil mentioned a couple of days ago.
<njpatel> vish, yep, we got stalled on a workaround, I pinged the team for that this morning, hopefully we'll have an answer soon. Sorry it's taken so long, but it's harder to switch stuff off than switch it on it seems :)

Attaching today's xsession-errors.

$ apt-cache policy libglu1-mesa
libglu1-mesa:
  Installed: 7.9~git20100909-0ubuntu2
  Candidate: 7.9~git20100909-0ubuntu2
  Version table:
 *** 7.9~git20100909-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

$ apt-cache policy clutter-1.0
clutter-1.0-tests:
  Installed: (none)
  Candidate: 1.2.12-0ubuntu13
  Version table:
     1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
libclutter-1.0-0:
  Installed: 1.2.12-0ubuntu13
  Candidate: 1.2.12-0ubuntu13
  Version table:
 *** 1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status
clutter-1.0-tests-common:
  Installed: (none)
  Candidate: 1.2.12-0ubuntu13
  Version table:
     1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
libclutter-1.0-tests:
  Installed: (none)
  Candidate: (none)
  Version table:
libclutter-1.0-tests-common:
  Installed: (none)
  Candidate: (none)
  Version table:
gir1.0-clutter-1.0:
  Installed: (none)
  Candidate: 1.2.12-0ubuntu13
  Version table:
     1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
libclutter-1.0-dev:
  Installed: (none)
  Candidate: 1.2.12-0ubuntu13
  Version table:
     1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
libclutter-1.0-dbg:
  Installed: (none)
  Candidate: 1.2.12-0ubuntu13
  Version table:
     1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
libclutter-1.0-doc:
  Installed: (none)
  Candidate: 1.2.12-0ubuntu13
  Version table:
     1.2.12-0ubuntu13 0
        500 http://archive.ubuntu.com/ubuntu/ maverick/main i386 Packages

Vish (vish) wrote :

Woot! if someone wants to desperately use unity on an RV515 they can try with ppa:xorg-edgers/ppa [thanks Sarvatt], but this might have other problems!
Or lets try getting an FFe for this and see what else breaks ?! :-D

Installed the following from edgers http://paste.ubuntu.com/495345/ and unity works with a few artifacts though[under the top-panel and launcher is not properly rendered].. attaching screenshot :-)

Brandon (thesoul-reaper) on 2010-09-21
Changed in unity (Ubuntu):
status: Triaged → Fix Released
Brandon (thesoul-reaper) wrote :

A recent clutter update seemed to have fixed the white screen issue on login, and unity is fully functioning. I'm marking this bug as "fixed release", but feel free to reopen this bug if the problem persists.

Vish (vish) wrote :

@Bullet_Man,This bug is not related to the clutter issue.
 Kindly read the bug.

Changed in unity (Ubuntu):
status: Fix Released → Triaged
Brandon (thesoul-reaper) wrote :

@Vish, Yeah, my bad, it seems that this bug is related to the RV515 generation. Whereas with my chipset (780G), previously I had this issue, and with the recent clutter update the bug was fixed. So it looks as if problems are still persisting from this generation and dosen't seem to be related to clutter.

luk1don (luk1don) wrote :

I have this problem too, but on NVIDIA GPU (propertiary drivers, not mesa and nouveau now):
- white screen on start
- unity, mutter steal reloading (when wifi notification popup window disappears unity loads and stop reloading, but after that crashing again and another problem:
https://bugs.launchpad.net/unity/+bug/641499

luk1don (luk1don) on 2010-09-23
Changed in unity:
status: New → Confirmed
luk1don (luk1don) wrote :

Now (for me):
- no white screen on start (black:) )
- unity is not reloading with white screen, but another problems persist:)

Brandon (thesoul-reaper) wrote :

The white screen is fixed for me too, now the desktop fades in on login nicely.

Didier Roche (didrocks) on 2010-10-11
summary: - [RV515] Unity keeps reloading with a white background
+ [ATI] [RV515] Unity keeps reloading with a white background
Changed in unity (Ubuntu Natty):
milestone: ubuntu-10.10 → none
Bilal Akhtar (bilalakhtar) wrote :

I upgraded to Natty today, and Unity Desktop is working fine here. There are a few bugs, such as the menu bar becoming blank periodically, but I guess this is affecting all users.

Fix released?

Bilal Akhtar (bilalakhtar) wrote :

Marking Fix released, as per sabdfl's comment.

Changed in unity (Ubuntu Natty):
status: Triaged → Fix Released
Changed in unity:
status: Confirmed → Fix Released
Bryce Harrington (bryce) on 2011-04-26
Changed in mesa (Ubuntu Natty):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers